<?php
// $Id: article.php,v 1.10 2003/04/11 12:35:22 okazu Exp $
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
//  ------------------------------------------------------------------------ //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //
include "../../mainfile.php";
include_once "class/class.diarystory.php";
foreach ($HTTP_POST_VARS as $k => $v) {
	${$k} = $v;
}
$storyid = (isset($HTTP_GET_VARS['storyid'])) ? $HTTP_GET_VARS['storyid'] : 0;
$storyid = intval($storyid);
if (empty($storyid)) {
	redirect_header("index.php",2,_NW_NOSTORY);
	exit();
}

$xoopsOption['template_main'] = 'diary_article.html';

include_once XOOPS_ROOT_PATH.'/header.php';
$myts =& MyTextSanitizer::getInstance();
// set comment mode if not set


$st = new DiaryStory();
$ar = $st->getEachStory($storyid);
$xoopsTpl->assign('title', $ar['title']);
$xoopsTpl->assign('bodytext', $ar['bodytext']);
$xoopsTpl->assign('ddate', $ar['ddate']);
$xoopsTpl->assign('dtime', $ar['dtime']);
$xoopsTpl->assign('uid',intval($ar['uid']));
if($xoopsUser){
	$xoopsTpl->assign('uname',$xoopsUser->getUnameFromId(intval($ar['uid'])));
}
else{
	$xoopsTpl->assign('uname',XoopsUser::getUnameFromId(intval($ar['uid'])));
}

$xoopsTpl->assign('uinfourl', XOOPS_URL . '/userinfo.php');
$xoopsTpl->assign('lang_postedby', _POSTEDBY);
$xoopsTpl->assign('lang_sendstory', _NW_SENDSTORY);
$xoopsTpl->assign('lang_on', _ON);
$xoopsTpl->assign('lang_reads', _READS);
include XOOPS_ROOT_PATH.'/include/comment_view.php';

include XOOPS_ROOT_PATH.'/footer.php';
?>
