<?php
// $Id: index.php,v 1.15 2003/04/01 22:51:22 mvandam Exp $
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
//  ------------------------------------------------------------------------ //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //
include_once '../../../mainfile.php';
include_once '../../../include/cp_header.php';
include_once XOOPS_ROOT_PATH."/class/xoopsuser.php";
include_once XOOPS_ROOT_PATH."/function.php";
include_once XOOPS_ROOT_PATH. '/modules/admindiary/class/class.diarystory.php';

$op = 'default';
if (isset($HTTP_POST_VARS)) {
	foreach ($HTTP_POST_VARS as $k => $v) {
		${$k} = $v;
	}
}

if (isset($HTTP_GET_VARS['op'])) {
	$op = $HTTP_GET_VARS['op'];
	if (isset($HTTP_GET_VARS['storyid'])) {
		$storyid = intval($HTTP_GET_VARS['storyid']);
	}
}

$admuri = getenv('SCRIPT_NAME');

switch($op){

	case "editlist":
		xoops_cp_header();
		define("ADMIN_DIARY_LIST",1);
		echo "<h4>"._AM_CONFIG.':'._AM_EDITLIST."</h4>";
		echo "\n<link rel=\"stylesheet\" type=\"text/css\" href=\"" . getcss() . "\" />\n";

		include_once XOOPS_ROOT_PATH . "/modules/admindiary/index.php";
		break;
		
	case "edit":
		xoops_cp_header();
		echo"<table width='100%' border='0' cellspacing='1' class='outer'><tr><td class=\"odd\">";
		echo "<h4>"._AM_CONFIG.':'._AM_SDIARY_ADMENU2."</h4>";
		$story = new DiaryStory($storyid);
		$title = $story->title("Edit");
		$bodytext = $story->bodytext("Edit");
		$nosmily = $story->nosmily();
		$nohtml = $story->nohtml();
		$isedit = 1;
		include "storyform.inc.php";
		echo"</td></tr></table>";
		break;

	case "newarticle":
		xoops_cp_header();
		include_once XOOPS_ROOT_PATH."/class/module.textsanitizer.php";
		echo "<br />";
		echo"<table width='100%' border='0' cellspacing='1' class='outer'><tr><td class=\"odd\">";
		echo "<h4>"._AM_CONFIG.':'._AM_SDIARY_ADMENU1."</h4>";
		$type = "admin";
		include "storyform.inc.php";
		echo"</td></tr></table>";
		break;

	case "preview":
		xoops_cp_header();
		if(isset($storyid)){
			$story = new DiaryStory($storyid);
		}
		else{
			$story = new DiaryStory();
		}

		$story->setTitle($title);
		$story->setBodyText($bodytext);
		if(isset($nosmily) && $nosmily == 1){
			$story->setNosmily($nosmily);
		}
		if(isset($nohtml) && $nohtml == 1){
			$story->setNohtml($nohtml);
		}
		$p_title = $story->title("Preview");
		$p_bodytext = $story->bodytext("Preview");
		$title = $story->title("InForm");
		$bodytext = $story->bodytext("InForm");

		echo"<table width='100%' border='0' cellspacing='1' class='outer'><tr><td class=\"odd\">";
		$timage = "";
		$warning = "";
		echo "<p><b>".$p_title."</b><br /><br />".$timage."".$p_bodytext."<br /><br /></p>";
		echo $warning;
		echo"</td></tr></table><br />";
		echo"<table width='100%' border='0' cellspacing='1' class='outer'><tr><td class=\"odd\">";
		include "storyform.inc.php";
		echo"</td></tr></table>";
		break;

	case "save":
		if(!isset($storyid)){
			$storyid = -1;
		}
		$uid = intval($xoopsUser->getVar('uid'));
		$story = new DiaryStory($storyid);
		$story->setTitle($title);
		$story->setBodytext($bodytext);
		$nosmily =  (empty($nosmily)) ? 0 : 1;
		$nohtml =  (empty($nohtml)) ? 0 : 1;
		$story->setNosmily($nosmily);
		$story->setNohtml($nohtml);
		$story->setUserID($uid);
		$story->store();
		if($storyid < 0){
			redirect_header($admuri . '?op=newarticle',2,_AM_DBUPDATED);
		}
		else{
			redirect_header($admuri . '?op=editlist',2,_AM_DBUPDATED);
		}
		exit();
		break;

	case "delete":
		if ( !empty($ok) ) {
            if (empty($storyid)) {
                redirect_header($admuri . '?op=default',2,_AM_EMPTYNODELETE);
                exit();
            }
			$story = new DiaryStory($storyid);
			$story->delete();
			xoops_comment_delete($xoopsModule->getVar('mid'), $storyid);
			xoops_notification_deletebyitem($xoopsModule->getVar('mid'), 'story', $storyid);
			redirect_header($admuri . '?op=default',1,_AM_DBUPDATED);
			exit();
		} else {
			xoops_cp_header();
			echo "<h4>"._AM_CONFIG."</h4>";
			xoops_confirm(array('op' => 'delete', 'storyid' => $storyid, 'ok' => 1), 'index.php', _AM_RUSUREDEL);
		}
		break;
	case "default":
	default:
		xoops_cp_header();
		echo "<h4>"._AM_CONFIG."</h4>";
		echo"<table width='100%' border='0' cellspacing='1' class='outer'><tr><td class=\"odd\">";
		echo " - <b><a href='" . $admuri . "?op=newarticle'>"._AM_SDIARY_ADMENU1 ."</a></b><br /><br />\n";
		echo " - <b><a href='" . $admuri . "?op=editlist'>"._AM_SDIARY_ADMENU2 ."</a></b><br /><br />\n";
		echo " - <b><a href='".XOOPS_URL.'/modules/system/admin.php?fct=preferences&amp;op=showmod&amp;mod='.$xoopsModule->getVar('mid')."'>"._AM_GENERALCONF."</a></b><br /><br />\n";
    		echo"</td></tr></table>";
		break;
}

xoops_cp_footer();
?>
