<?php
// $Id: index.php,v 1.12 2003/03/17 05:40:40 okazu Exp $
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //
include_once '../../mainfile.php';
include_once XOOPS_ROOT_PATH.'/header.php';
include_once XOOPS_ROOT_PATH.'/modules/admindiary/class/class.diarystory.php';

if (isset($HTTP_GET_VARS['storynum']) ) {
	$xoopsOption['storynum'] = intval($HTTP_GET_VARS['storynum']);
	if ($xoopsOption['storynum'] > 30) {
		$xoopsOption['storynum'] = $xoopsModuleConfig['storyhome'];
	}
}
else{
	$xoopsOption['storynum'] = $xoopsModuleConfig['storyhome'];
}

$start = null;
if ( isset($HTTP_GET_VARS['start']) ) {
	$start = $HTTP_GET_VARS['start'];
}
$selfuri = getenv('SCRIPT_NAME');
$dstory = new DiaryStory();

if ( $xoopsModuleConfig['displaynav'] == 1 ) {
	$xoopsTpl->assign('displaynav', true);
	$storynum_options = '';
	foreach (array(1,5,10,15,20,25,30) as $i) {
		$sel = '';
		if ($i == $xoopsOption['storynum']) {
			$sel = ' selected="selected"';
		}
		$storynum_options .= '<option value="'.$i.'"'.$sel.'>'.$i._MI_STORYHOMEDAYS.'</option>';
	}
	$xoopsTpl->assign('storynum_options', $storynum_options);
	$xoopsTpl->assign('selfuri', $selfuri);
}
else{
	$xoopsTpl->assign('displaynav', false);
}

$darray = $dstory->getDateList($start, $xoopsOption['storynum']+1);
$nextdate = "";
if (count($darray) > ($xoopsOption['storynum']+0)){
	$nextdate = array_pop($darray);
}

$diary_array = array();
while ( $ymd = array_shift($darray)) {
	$d_diary = array();
	foreach($dstory->getDiary($ymd) as $ddl){

		if($xoopsUser){
			$ddl['uname'] = $xoopsUser->getUnameFromId(intval($ddl['uid']));
		}
		else{
			$ddl['uname'] = XoopsUser::getUnameFromId(intval($ddl['uid']));
		}
		if(defined("ADMIN_DIARY_LIST")){
			$ddl['comment_url'] = XOOPS_URL .'/modules/admindiary/admin/index.php?op=edit&storyid=' .$ddl['storyid'];
			$ddl["comment_link"] = _AM_SDIARY_ADMENU2;
		}
		else{
			$ddl['comment_url'] = XOOPS_URL.'/modules/admindiary/article.php?storyid=' . $ddl['storyid'];
			
			$ccount = intval($ddl['comments']);
			switch($ccount){
				case 0:
					$ddl["comment_link"] = _NW_COMMENTS;
					break;
				case 1:
					$ddl["comment_link"] = _NW_ONECOMMENT;
					break;
				default:
					$ddl["comment_link"] = sprintf(_NW_NUMCOMMENTS, $ccount);
			}
		}
		$d_diary[] = $ddl;
		
	}
	$diary_array[$ymd] = $d_diary;
}

$xoopsTpl->assign('d_array', $diary_array);
$xoopsTpl->assign('uinfouri',XOOPS_URL . '/userinfo.php');
$xoopsTpl->assign('lang_go', _GO);
$xoopsTpl->assign('lang_on', _ON);
$xoopsTpl->assign('lang_postedby', _POSTEDBY);
$xoopsTpl->assign('lang_reads', _READS);
if(defined("ADMIN_DIARY_LIST")){
	$xoopsTpl->assign('readmore', _AM_READBEFORE);
}
else{
	$xoopsTpl->assign('readmore', _NW_READBEFORE);
}

if(strlen($nextdate) > 0){
	$xoopsTpl->assign('nextflg',true);
	$param = "start=" . $nextdate . "&storynum=" .  $xoopsOption['storynum'];
	
	if(defined("ADMIN_DIARY_LIST")){
		$param = $param . "&op=editlist";
	}
	$xoopsTpl->assign('nextparam',$param);
	
}
else{
	$xoopsTpl->assign('nextflg',false);
}
$xoopsOption['template_main'] = 'diary_index.html';
if(defined("ADMIN_DIARY_LIST")){
	$xoopsTpl->xoops_setCaching(0);
        $xoopsTpl->display('db:'.$xoopsOption['template_main']);
}
else{
	include_once XOOPS_ROOT_PATH.'/footer.php';
}

?>
