<?php
// $Id: xoops_version.php,v 1.13 2003/04/01 22:51:21 mvandam Exp $
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
//  ------------------------------------------------------------------------ //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //
$modversion['name'] = _MI_SDIARY_NAME;
$modversion['version'] = 0.98;
$modversion['description'] = _MI_SDIARY_DESC;
$modversion['author'] = "M.Takai";
$modversion['credits'] = "M.Takai(E-Mail:post@piko.to)";
$modversion['license'] = "GPL see LICENSE";
$modversion['official'] =  0;
$modversion['image'] = "images/admindiary_slog.png";
$modversion['dirname'] = "admindiary";

$modversion['sqlfile']['mysql'] = "sql/mysql.sql";
//$modversion['sqlfile']['postgresql'] = "sql/pgsql.sql";

// Tables created by sql file (without prefix!)
$modversion['tables'][0] = "admindiary_stories_tbl";


// Admin things
$modversion['hasAdmin'] = 1;
$modversion['adminindex'] = "admin/index.php";
$modversion['adminmenu'] = "admin/menu.php";

// Menu
$modversion['hasMain'] = 1;

// Templates
$modversion['templates'][1]['file'] = 'diary_index.html';
$modversion['templates'][1]['description'] = '';
$modversion['templates'][2]['file'] = 'diary_article.html';
$modversion['templates'][2]['description'] = '';

// Comments
$modversion['hasComments'] = 1;
$modversion['comments']['pageName'] = 'article.php';
$modversion['comments']['itemName'] = 'storyid';

// Comment callback functions
$modversion['comments']['callbackFile'] = 'include/comment_functions.php';
$modversion['comments']['callback']['approve'] = 'admindiary_com_approve';
$modversion['comments']['callback']['update'] = 'admindiary_com_update';

// Blocks
$modversion['blocks'][1]['file'] = "diary_today.php";
$modversion['blocks'][1]['name'] = _MI_SDIARY_BNAME1;
$modversion['blocks'][1]['description'] = "Shows today stories";
$modversion['blocks'][1]['show_func'] = "b_admindiary_show";
$modversion['blocks'][1]['template'] = 'diary_today.html';

// name of config option for accessing its specified value. i.e. $xoopsModuleConfig['storyhome']
$modversion['config'][1]['name'] = 'storyhome';
$modversion['config'][1]['title'] = '_MI_STORYHOME';
$modversion['config'][1]['description'] = '_MI_STORYHOMEDSC';
$modversion['config'][1]['formtype'] = 'select';
$modversion['config'][1]['valuetype'] = 'int';
$modversion['config'][1]['default'] = 1;
$modversion['config'][1]['options'] = array('1' => 1,'5' => 5, '10' => 10, '15' => 15, '20' => 20, '25' => 25, '30' => 30);

$modversion['config'][2]['name'] = 'displaynav';
$modversion['config'][2]['title'] = '_MI_DISPLAYNAV';
$modversion['config'][2]['description'] = '_MI_DISPLAYNAVDSC';
$modversion['config'][2]['formtype'] = 'yesno';
$modversion['config'][2]['valuetype'] = 'int';
$modversion['config'][2]['default'] = 1;
